//
//  YHResignCertificateModel.swift
//  galaxy
//
//  Created by EDY on 2024/9/12.
//  Copyright © 2024 https://www.galaxy-immi.com. All rights reserved.
//

import UIKit
import SmartCodable

class YHResignCertificateMainModel: SmartCodable {
    var E_VISA: [YHResignCertificateModel] = []
    var HK_ID_CARD: [YHResignCertificateModel] = []
    var SMALL_WHITE_BAR: [YHResignCertificateModel] = []
    var TRAVEL: [YHResignCertificateModel] = []
    
    required init() {
    }
}

class YHResignCertificateModel: SmartCodable {
    var age: Int = 0
    var birthday: String = ""
    var cert_type: String = ""
    var created_at: String = ""
    var deleted_at: String = ""
    var group: Int = 0
    var id: Int = 0
    var name: String = ""
    var order_id: Int = 0
    var remark: String = ""
    var status: Int = 0
    var updated_at: String = ""
    var upload_require: String = ""
    var user_id: Int = 0
    var user_type: String = ""
    var valid_date: String = ""
    var sign_valid_date: String = "" // 签注有效期
    var cert_info: YHResignCertificateInfoModel = YHResignCertificateInfoModel()
    
    required init() {
    }
}

class YHResignCertificateInfoModel: SmartCodable {
    var e_visa_url: String = "" //电子签证的url
    var name: String = ""       //电子签证名称
    var upload_at: String = ""
    
    var idcard_url: String = "" //香港身份证的url
    
    var small_white_note_name: String = ""
    var small_white_note_url: String = ""
    var small_white_note_validity_end: String = ""
    var small_white_note_validity_start: String = ""
    
    var sign_type: String = ""
    var img_back: String = ""
    var img_front: String = ""
    var issue_end: String = ""
    var issue_start: String = ""
    var validate_start: String = ""
    var validate_end: String = ""
    var address: String = ""
    var number: String = ""

    var is_show: Bool = false
    var submit: Bool = true
    required init() {
    }
}
